To dump all wall messages to stdout use:
- ./wall-notify cat
+ ./src/wall-notify cat
All arguments passed to `wall-notify` are used when execing the process, e.g.
to replace all spaces with underlines use:
- ./wall-notify sed 's/ /_/g'
+ ./src/wall-notify sed 's/ /_/g'
To display the messages with `xmessage` use:
- ./wall-notify xmessage -file -
+ ./src/wall-notify xmessage -file -
+
+However this will display '^M' (carriage-return) and other control characters
+in the message. For a simple wrapper script which removes those, see
+`contrib/message-helper`:
+
+ ./src/wall-notify contrib/message.sh xmessage -file -
The shell is not used when running the program.
--- /dev/null
+#!/bin/sh
+
+# Small helper script to remove terminal control characters which are sent by
+# `wall`. Useful in combination with e.g. `xmessage`.
+
+# Copyright (C) 2014 Simon Ruderich
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+
+set -e
+
+
+sed 's/\r//g; s/\a//g' | "$@"